fuzzydl

## Enum FuzzyLogic

- java.lang.Object
- - java.lang.Enum<FuzzyLogic>
  - - fuzzydl.FuzzyLogic

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FuzzyLogic>

      public enum FuzzyLogic
      extends java.lang.Enum<FuzzyLogic>

  Fuzzy logic.
  Author:
    Fernando Bobillo

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASSICAL` Classical logic
    `LUKASIEWICZ` Lukasiewicz fuzzy logic
    `ZADEH` Zadeh fuzzy logic

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Gets the name of the object.
    `static FuzzyLogic` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FuzzyLogic[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSICAL

          public static final FuzzyLogic CLASSICAL

      Classical logic

    - #### ZADEH

          public static final FuzzyLogic ZADEH

      Zadeh fuzzy logic

    - #### LUKASIEWICZ

          public static final FuzzyLogic LUKASIEWICZ

      Lukasiewicz fuzzy logic

  - ### Method Detail

    - #### values

          public static FuzzyLogic[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FuzzyLogic c : FuzzyLogic.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FuzzyLogic valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Gets the name of the object.
      Overrides:
        `toString` in class `java.lang.Enum<FuzzyLogic>`
      Returns:
        Name of the object.